"use strict";

exports.__esModule = true;
exports.CCenter = void 0;

var _vue = require("vue");

var _vueSystem = require("@chakra-ui/vue-system");

function _isSlot(s) {
  return typeof s === 'function' || Object.prototype.toString.call(s) === '[object Object]' && !(0, _vue.isVNode)(s);
}

/**
 * Vue component used to horizontally and vertically center its child.
 * It uses the popular `display: flex` centering technique.
 *
 * @see Docs https://vue.chakra-ui.com/docs/layout/center
 */
var CCenter = (0, _vue.defineComponent)({
  name: 'CCenter',
  props: {
    as: {
      type: [String, Object],
      "default": 'div'
    }
  },
  setup: function setup(props, _ref) {
    var slots = _ref.slots,
        attrs = _ref.attrs;
    return function () {
      return (0, _vue.createVNode)(_vueSystem.chakra.div, (0, _vue.mergeProps)({
        "__label": "center",
        "__css": {
          display: 'flex',
          alignItems: 'center',
          justifyContent: 'center'
        }
      }, props, attrs), _isSlot(slots) ? slots : {
        "default": function _default() {
          return [slots];
        }
      });
    };
  }
});
exports.CCenter = CCenter;
//# sourceMappingURL=center.js.map