import { HTMLChakraProps, ResponsiveValue, DeepPartial, ComponentWithProps } from '@chakra-ui/vue-system';
interface AspectRatioOptions {
    /**
     * The aspect ratio of the Box. Common values are:
     *
     * `21/9`, `16/9`, `9/16`, `4/3`, `1.85/1`
     */
    ratio?: ResponsiveValue<number>;
}
export interface AspectRatioProps extends HTMLChakraProps<'div'>, AspectRatioOptions {
}
/**
 * Vue component used to cropping media (videos, images and maps)
 * to a desired aspect ratio.
 *
 * @see Docs https://vue.chakra-ui.com/docs/layout/aspect-ratio
 */
export declare const CAspectRatio: ComponentWithProps<DeepPartial<AspectRatioProps>>;
export {};
