import { ComponentWithProps, DeepPartial, HTMLChakraProps } from '@chakra-ui/vue-system';
export interface CCenterProps extends HTMLChakraProps<'div'> {
}
/**
 * Vue component used to horizontally and vertically center its child.
 * It uses the popular `display: flex` centering technique.
 *
 * @see Docs https://vue.chakra-ui.com/docs/layout/center
 */
export declare const CCenter: ComponentWithProps<DeepPartial<CCenterProps>>;
