import { ComponentWithProps, DeepPartial, HTMLChakraProps } from '@chakra-ui/vue-system';
export interface SpacerProps extends HTMLChakraProps<'div'> {
}
/**
 * A flexible flex spacer that expands along the major axis of its containing flex layout.
 * It renders a `div` by default, and takes up any available space.
 *
 * @see Docs https://chakra-ui.com/docs/layout/flex#using-the-spacer
 */
export declare const CSpacer: ComponentWithProps<DeepPartial<SpacerProps>>;
