import { HTMLChakraProps, ThemingProps, SystemProps, ComponentWithProps, DeepPartial } from '@chakra-ui/vue-system';
export interface TextProps extends HTMLChakraProps<'p'>, ThemingProps<'Text'> {
    /**
     * The CSS `text-align` property
     * @type SystemProps["textAlign"]
     */
    align?: SystemProps['textAlign'];
    /**
     * The CSS `text-decoration` property
     * @type SystemProps["textDecoration"]
     */
    decoration?: SystemProps['textDecoration'];
    /**
     * The CSS `text-transform` property
     * @type SystemProps["textTransform"]
     */
    casing?: SystemProps['textTransform'];
}
/**
 * Used to render texts or paragraphs.
 *
 * @see Docs https://vue.chakra-ui.com/docs/typography/text
 */
export declare const CText: ComponentWithProps<DeepPartial<TextProps>>;
